module.exports = {
  transform: {
    '^.+\\.tsx?$': 'babel-jest',
  },
  coverageProvider: 'v8',
  coverageDirectory: 'coverage',
  collectCoverageFrom: ['**/src/**/*.{ts,tsx}', '!**/src/app.tsx'],
  collectCoverage: true,
  clearMocks: true,
  moduleNameMapper: {
    '\\.(svg|webp)$': '<rootDir>/__mocks__/file',
  },
  testEnvironmentOptions: {
    customExportConditions: [''],
  },
  testEnvironment: 'jest-fixed-jsdom',
};
