/* eslint-disable @typescript-eslint/no-namespace */
import { Order } from "../landing";

import { ErrorMessage } from "./common";

export namespace GetOrder {
  export type Response = Order.View;
  export type Params = {
    orderId: Order.Id
  };
  export type Error = ErrorMessage;
}

export namespace CreateOrder {
  export type Response = {
    id: Order.Id
  };
  export type Params = {
    body: Order.Create
  };
};